Skip to content

Fix: This build of vanguard requires TPM version 2.0

  • by
  • 3 min read

Valorant is one of the most famous tactical shooter games around the globe, but even well-made games face issues once in a while. Players are facing an issue while playing Valorant, the error reads as this version of Vanguard requires TPM 2.0, whenever this error occurs the players get locked out of the game until the error is resolved.

In this article, we have discussed the causes of the vanguard requires TPM version 2.0 issue and four ways to fix the error.


What are the causes of vanguard requires TPM version 2.0 issue?

Here are a few possible reasons that might be causing the vanguard requires TPM version 2.0 issue:

  • TPM version 2.0 is disabled.
  • Discord’s startup feature might be interfering.
  • The game files are corrupted.
  • Using an outdated version of Windows

Also read: How to find Valorant server status?


How to fix the issue?

Here are four ways to fix the vanguard requires TPM version 2.0 issue:

Enable Secure boot and TPM

The main reason for this error to occur is that secure boot and TPM is disabled on your PC. Enabling them might resolve the issue for you, to do that follow the steps below:

  • Restart your PC and keep pressing the BIOS button, it is usually F2, F10, or F12 depending on PC’s brand.
  • Use the arrow keys to go to the Boot tab.
  • Find the Secure Boot option and enable it.
  • Then Go to the Security tab and find TPM (Trusted Platform Module) and enable it. For the PCs with intel chipsets, the option will be shown as Intel Trusted Platform Module Technology or just TPM Device and for the PCs with the AMD, the option will be shown as AMD TPM Configuration.
  • After enabling both features save the changes and restart your PC.

Disable the Open Discord on the computer startup option

The Discord might be interfering with the Valorant files and causing this error, if you have enabled the open the discord on startup option or it is running in the background without your knowledge then disabling it might fix the issue for you and to disable the option follow the steps below:

Step 1: Launch Discord and click on the Settings (gear icon) button to open settings.

Step 2: Under Settings, click on the Windows Settings option.

Step 3: In Windows settings, click on the toggle button beside the Open Discord option to turn it off.


Reinstall the game

Some of the Valorant game files might have gotten corrupted due to some reasons. So, uninstall the game and then install it again, which might resolve the vanguard requires TPM version 2.0 issue.


Check for Windows Updates

This error can also occur if you are using an outdated version of Windows. Check that you are using the updated version of Windows, if not then update it.

Click here to know how to update Windows

Also read: How to fix MW2 dev error 657? 

Akash Singh

Akash Singh

Akash is a law graduate who likes to go for bike rides on the weekends soul-searching for answers to his many existential questions. You can contact him here: singhakash95@pm.me

>